Index: /branches/HTM-10.0-dev0/cfg/3D-HEVC/baseCfg_2view.cfg
===================================================================
--- /branches/HTM-10.0-dev0/cfg/3D-HEVC/baseCfg_2view.cfg	(revision 853)
+++ /branches/HTM-10.0-dev0/cfg/3D-HEVC/baseCfg_2view.cfg	(revision 854)
@@ -26,14 +26,16 @@
 #======== VPS/ Layer sets ================
 VpsNumLayerSets               : 2            # Number of layer sets    
-LayerIdsInSet_0               : 0            # LayerIds in vps of layer set
-LayerIdsInSet_1               : 0 1          # LayerIds in vps of layer set
+LayerIdsInSet_0               : 0            # Indices in VPS of layers in layer set 0
+LayerIdsInSet_1               : 0 1          # Indices in VPS of layers in layer set 3
 
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 1            # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 1            # LayerIds in vps of additional output layers
-ProfileLevelTierIdx           : 0 0 0        # Indices to profile level tier (TBD) per output layer set
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+
+OutputLayerSetIdx             : 1            # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 1            # Indices in VPS of output layers in additional output layer set 0
+
+ProfileLevelTierIdx           : 0 0 0        # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             : 0           # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
 DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 
Index: /branches/HTM-10.0-dev0/cfg/3D-HEVC/baseCfg_3view+depth.cfg
===================================================================
--- /branches/HTM-10.0-dev0/cfg/3D-HEVC/baseCfg_3view+depth.cfg	(revision 853)
+++ /branches/HTM-10.0-dev0/cfg/3D-HEVC/baseCfg_3view+depth.cfg	(revision 854)
@@ -34,22 +34,23 @@
 #======== VPS/ Layer sets ================
 VpsNumLayerSets               : 5           # Number of layer sets    
-LayerIdsInSet_0               : 0           # LayerIds in vps of layer set
-LayerIdsInSet_1               : 0 1         # LayerIds in vps of layer set
-LayerIdsInSet_2               : 0 1 2 3     # LayerIds in vps of layer set
-LayerIdsInSet_3               : 0 1 4 5     # LayerIds in vps of layer set
-LayerIdsInSet_4               : 0 1 2 3 4 5 # LayerIds in vps of layer set
-
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 2 3          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 2 3          # LayerIds of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 4 5          # LayerIds of additional output layers
+LayerIdsInSet_0               : 0           # Indices in VPS of layers in layer set 0
+LayerIdsInSet_1               : 0 1         # Indices in VPS of layers in layer set 1
+LayerIdsInSet_2               : 0 1 2 3     # Indices in VPS of layers in layer set 2
+LayerIdsInSet_3               : 0 1 4 5     # Indices in VPS of layers in layer set 3
+LayerIdsInSet_4               : 0 1 2 3 4 5 # Indices in VPS of layers in layer set 4
+
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+OutputLayerSetIdx             : 2 3          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 2 3          # Indices in VPS of output layers in additional output layer set 0
+LayerIdsInAddOutputLayerSet_1 : 4 5          # Indices in VPS of output layers in additional output layer set 1
+
 ProfileLevelTierIdx           : 0 0 0 0 0 0 0 0 # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_3             : 1           # LayerIds in vps of direct reference layers 
-DirectRefLayers_4             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_5             : 1           # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_3             : 1           # Indices in VPS of direct reference layers 
+DirectRefLayers_4             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_5             : 1           # Indices in VPS of direct reference layers 
 
 DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
Index: /branches/HTM-10.0-dev0/cfg/3D-HEVC/baseCfg_3view.cfg
===================================================================
--- /branches/HTM-10.0-dev0/cfg/3D-HEVC/baseCfg_3view.cfg	(revision 853)
+++ /branches/HTM-10.0-dev0/cfg/3D-HEVC/baseCfg_3view.cfg	(revision 854)
@@ -27,18 +27,20 @@
 #======== VPS / Layer sets ================
 VpsNumLayerSets               : 4            # Number of layer sets    
-LayerIdsInSet_0               : 0            # LayerIds in vps of layer set
-LayerIdsInSet_1               : 0 1          # LayerIds in vps of layer set
-LayerIdsInSet_2               : 0 2          # LayerIds in vps of layer set
-LayerIdsInSet_3               : 0 1 2        # LayerIds in vps of layer set
+LayerIdsInSet_0               : 0            # Indices in VPS of layers in layer set 0
+LayerIdsInSet_1               : 0 1          # Indices in VPS of layers in layer set 1
+LayerIdsInSet_2               : 0 2          # Indices in VPS of layers in layer set 2
+LayerIdsInSet_3               : 0 1 2        # Indices in VPS of layers in layer set 3
 
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 1 2          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 1            # LayerIds in vps of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 2            # LayerIds in vps of additional output layers
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+
+OutputLayerSetIdx             : 1 2          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 1            # Indices in VPS of output layers in additional output layer set 0
+LayerIdsInAddOutputLayerSet_1 : 2            # Indices in VPS of output layers in additional output layer set 1
+
 ProfileLevelTierIdx           : 0 0 0 0 0 0   # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             : 0           # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
 DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 DependencyTypes_2             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
Index: /branches/HTM-10.0-dev0/cfg/3D-HEVC/fullCfg.cfg
===================================================================
--- /branches/HTM-10.0-dev0/cfg/3D-HEVC/fullCfg.cfg	(revision 853)
+++ /branches/HTM-10.0-dev0/cfg/3D-HEVC/fullCfg.cfg	(revision 854)
@@ -36,24 +36,32 @@
 ViewId                        : 1 0 2       # ViewId per ViewOrderIndex (m)
 
-#======== VPS/ Layer sets ================
 VpsNumLayerSets               : 5           # Number of layer sets    
-LayerIdsInSet_0               : 0           # LayerIds in vps of layer set
-LayerIdsInSet_1               : 0 1         # LayerIds in vps of layer set
-LayerIdsInSet_2               : 0 1 2 3     # LayerIds in vps of layer set
-LayerIdsInSet_3               : 0 1 4 5     # LayerIds in vps of layer set
-LayerIdsInSet_4               : 0 1 2 3 4 5 # LayerIds in vps of layer set
-
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 2 3          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 2 3          # LayerIds of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 4 5          # LayerIds of additional output layers
+LayerIdsInSet_0               : 0           # Indices in VPS of layers in layer set 0
+LayerIdsInSet_1               : 0 1         # Indices in VPS of layers in layer set 1
+LayerIdsInSet_2               : 0 1 2 3     # Indices in VPS of layers in layer set 2
+LayerIdsInSet_3               : 0 1 4 5     # Indices in VPS of layers in layer set 3
+LayerIdsInSet_4               : 0 1 2 3 4 5 # Indices in VPS of layers in layer set 4
+
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+
+LayerIdsInDefOutputLayerSet_0 :              # Indices in VPS of output layers in layer set 0 (when DefaultTargetOutputLayerIdc is equal to 2)
+LayerIdsInDefOutputLayerSet_1 :              # Indices in VPS of output layers in layer set 1 (when DefaultTargetOutputLayerIdc is equal to 2)
+LayerIdsInDefOutputLayerSet_2 :              # Indices in VPS of output layers in layer set 2 (when DefaultTargetOutputLayerIdc is equal to 2)
+LayerIdsInDefOutputLayerSet_3 :              # Indices in VPS of output layers in layer set 3 (when DefaultTargetOutputLayerIdc is equal to 2)
+LayerIdsInDefOutputLayerSet_4 :              # Indices in VPS of output layers in layer set 4 (when DefaultTargetOutputLayerIdc is equal to 2)
+
+
+OutputLayerSetIdx             : 2 3          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 2 3          # Indices in VPS of output layers in additional output layer set 0
+LayerIdsInAddOutputLayerSet_1 : 4 5          # Indices in VPS of output layers in additional output layer set 1
+
 ProfileLevelTierIdx           : 0 0 0 0 0 0 0 0 # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_3             : 1           # LayerIds in vps of direct reference layers 
-DirectRefLayers_4             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_5             : 1           # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_3             : 1           # Indices in VPS of direct reference layers 
+DirectRefLayers_4             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_5             : 1           # Indices in VPS of direct reference layers 
 
 DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
Index: /branches/HTM-10.0-dev0/cfg/MV-HEVC/NonCTC/gopCfg_IBP_3view.cfg
===================================================================
--- /branches/HTM-10.0-dev0/cfg/MV-HEVC/NonCTC/gopCfg_IBP_3view.cfg	(revision 853)
+++ /branches/HTM-10.0-dev0/cfg/MV-HEVC/NonCTC/gopCfg_IBP_3view.cfg	(revision 854)
@@ -9,17 +9,18 @@
 #======== VPS / Layer sets ================
 VpsNumLayerSets               : 3            # Number of layer sets    
-LayerIdsInSet_0               : 0            # LayerIdcs in vps of layer set
-LayerIdsInSet_1               : 0 1          # LayerIdcs in vps of layer set
-LayerIdsInSet_2               : 0 1 2        # LayerIdcs in vps of layer set
+LayerIdsInSet_0               : 0            # Indices in VPS of layers in layer set 0
+LayerIdsInSet_1               : 0 1          # Indices in VPS of layers in layer set 1
+LayerIdsInSet_2               : 0 1 2        # Indices in VPS of layers in layer set 2
 
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 1 2          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 1            # LayerIds in vps of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 2            # LayerIds in vps of additional output layers
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+OutputLayerSetIdx             : 1 2          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 1            # Indices in VPS of output layers in additional output layer set 0
+LayerIdsInAddOutputLayerSet_1 : 2            # Indices in VPS of output layers in additional output layer set 1
+
 ProfileLevelTierIdx           : 0 0 0 0 0    # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             : 0 1         # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0 1         # Indices in VPS of direct reference layers 
 DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 DependencyTypes_2             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
Index: /branches/HTM-10.0-dev0/cfg/MV-HEVC/NonCTC/gopCfg_IPB_on_IRAP_3view.cfg
===================================================================
--- /branches/HTM-10.0-dev0/cfg/MV-HEVC/NonCTC/gopCfg_IPB_on_IRAP_3view.cfg	(revision 853)
+++ /branches/HTM-10.0-dev0/cfg/MV-HEVC/NonCTC/gopCfg_IPB_on_IRAP_3view.cfg	(revision 854)
@@ -3,18 +3,19 @@
 #======== VPS / Layer sets ================
 VpsNumLayerSets               : 4            # Number of layer sets    
-LayerIdsInSet_0               : 0            # LayerIds in vps of layer set
-LayerIdsInSet_1               : 0 1          # LayerIds in vps of layer set
-LayerIdsInSet_2               : 0 2          # LayerIds in vps of layer set
-LayerIdsInSet_3               : 0 1 2        # LayerIds in vps of layer set
+LayerIdsInSet_0               : 0            # Indices in VPS of layers in layer set 0
+LayerIdsInSet_1               : 0 1          # Indices in VPS of layers in layer set 1
+LayerIdsInSet_2               : 0 2          # Indices in VPS of layers in layer set 2
+LayerIdsInSet_3               : 0 1 2        # Indices in VPS of layers in layer set 3
 
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 1 2          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 1            # LayerIds in vps of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 2            # LayerIds in vps of additional output layers
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+OutputLayerSetIdx             : 1 2          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 1            # Indices in VPS of output layers in additional output layer set 0
+LayerIdsInAddOutputLayerSet_1 : 2            # Indices in VPS of output layers in additional output layer set 1
+
 ProfileLevelTierIdx           : 0 0 0 0 0 0  # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             : 0 1         # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0 1         # Indices in VPS of direct reference layers 
 DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 DependencyTypes_2             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
Index: /branches/HTM-10.0-dev0/cfg/MV-HEVC/NonCTC/gopCfg_NoIv_3view.cfg
===================================================================
--- /branches/HTM-10.0-dev0/cfg/MV-HEVC/NonCTC/gopCfg_NoIv_3view.cfg	(revision 853)
+++ /branches/HTM-10.0-dev0/cfg/MV-HEVC/NonCTC/gopCfg_NoIv_3view.cfg	(revision 854)
@@ -1,18 +1,20 @@
 #======== VPS / Layer sets ================
 VpsNumLayerSets               : 4            # Number of layer sets    
-LayerIdsInSet_0               : 0            # LayerIds in vps of layer set
-LayerIdsInSet_1               : 0 1          # LayerIds in vps of layer set
-LayerIdsInSet_2               : 0 2          # LayerIds in vps of layer set
-LayerIdsInSet_3               : 0 1 2        # LayerIds in vps of layer set
+LayerIdsInSet_0               : 0            # Indices in VPS of layers in layer set 0
+LayerIdsInSet_1               : 1            # Indices in VPS of layers in layer set 0
+LayerIdsInSet_2               : 2            # Indices in VPS of layers in layer set 0
+LayerIdsInSet_3               : 0 1          # Indices in VPS of layers in layer set 1
+LayerIdsInSet_4               : 0 2          # Indices in VPS of layers in layer set 2
+LayerIdsInSet_5               : 1 2          # Indices in VPS of layers in layer set 2
+LayerIdsInSet_6               : 0 1 2        # Indices in VPS of layers in layer set 3
 
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 1 2          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 1            # LayerIds in vps of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 2            # LayerIds in vps of additional output layers
-ProfileLevelTierIdx           : 0 0 0 0 0 0  # Indices to profile level tier (TBD)
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+
+OutputLayerSetIdx             :              # Indices of layer sets used to derive additional output layer sets
+
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             :             # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_2             :             # Indices in VPS of direct reference layers 
 DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 DependencyTypes_2             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
Index: /branches/HTM-10.0-dev0/cfg/MV-HEVC/NonCTC/gopCfg_PIP_on_IRAP_3view.cfg
===================================================================
--- /branches/HTM-10.0-dev0/cfg/MV-HEVC/NonCTC/gopCfg_PIP_on_IRAP_3view.cfg	(revision 853)
+++ /branches/HTM-10.0-dev0/cfg/MV-HEVC/NonCTC/gopCfg_PIP_on_IRAP_3view.cfg	(revision 854)
@@ -3,18 +3,19 @@
 #======== VPS / Layer sets ================
 VpsNumLayerSets               : 4            # Number of layer sets    
-LayerIdsInSet_0               : 0            # LayerIds in vps of layer set
-LayerIdsInSet_1               : 0 1          # LayerIds in vps of layer set
-LayerIdsInSet_2               : 0 2          # LayerIds in vps of layer set
-LayerIdsInSet_3               : 0 1 2        # LayerIds in vps of layer set
+LayerIdsInSet_0               : 0            # Indices in VPS of layers in layer set 0
+LayerIdsInSet_1               : 0 1          # Indices in VPS of layers in layer set 1
+LayerIdsInSet_2               : 0 2          # Indices in VPS of layers in layer set 2
+LayerIdsInSet_3               : 0 1 2        # Indices in VPS of layers in layer set 3
 
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 1 2          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 1            # LayerIds in vps of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 2            # LayerIds in vps of additional output layers
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+OutputLayerSetIdx             : 1 2          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 1            # Indices in VPS of output layers in additional output layer set 0
+LayerIdsInAddOutputLayerSet_1 : 2            # Indices in VPS of output layers in additional output layer set 1
+
 ProfileLevelTierIdx           : 0 0 0 0 0 0  # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             : 0           # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
 DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 DependencyTypes_2             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
Index: /branches/HTM-10.0-dev0/cfg/MV-HEVC/NonCTC/layerwise_startup_IBP_3view.cfg
===================================================================
--- /branches/HTM-10.0-dev0/cfg/MV-HEVC/NonCTC/layerwise_startup_IBP_3view.cfg	(revision 853)
+++ /branches/HTM-10.0-dev0/cfg/MV-HEVC/NonCTC/layerwise_startup_IBP_3view.cfg	(revision 854)
@@ -9,17 +9,17 @@
 #======== VPS / Layer sets ================
 VpsNumLayerSets               : 3            # Number of layer sets    
-LayerIdsInSet_0               : 0            # LayerIdcs in vps of layer set
-LayerIdsInSet_1               : 0 1          # LayerIdcs in vps of layer set
-LayerIdsInSet_2               : 0 1 2        # LayerIdcs in vps of layer set
+LayerIdsInSet_0               : 0            # Indices in VPS of layers in layer set 0
+LayerIdsInSet_1               : 0 1          # Indices in VPS of layers in layer set 1
+LayerIdsInSet_3               : 0 1 2        # Indices in VPS of layers in layer set 3
 
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 1 2          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 1            # LayerIds in vps of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 2            # LayerIds in vps of additional output layers
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+OutputLayerSetIdx             : 1 2          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 1            # Indices in VPS of output layers in additional output layer set 0
+LayerIdsInAddOutputLayerSet_1 : 2            # Indices in VPS of output layers in additional output layer set 1
 ProfileLevelTierIdx           : 0 0 0 0 0    # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             : 0 1         # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0 1         # Indices in VPS of direct reference layers 
 DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 DependencyTypes_2             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
Index: /branches/HTM-10.0-dev0/cfg/MV-HEVC/baseCfg_2view.cfg
===================================================================
--- /branches/HTM-10.0-dev0/cfg/MV-HEVC/baseCfg_2view.cfg	(revision 853)
+++ /branches/HTM-10.0-dev0/cfg/MV-HEVC/baseCfg_2view.cfg	(revision 854)
@@ -25,14 +25,15 @@
 #======== VPS/ Layer sets ================
 VpsNumLayerSets               : 2            # Number of layer sets    
-LayerIdsInSet_0               : 0            # LayerIds in vps of Layer set
-LayerIdsInSet_1               : 0 1          # LayerIds in vps of Layer set
+LayerIdsInSet_0               : 0            # Indices in VPS of layers in layer set 0
+LayerIdsInSet_1               : 0 1          # Indices in VPS of layers in layer set 3
 
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 1            # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 1            # LayerIds in vps of additional output layers
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+
+OutputLayerSetIdx             : 1            # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 1            # Indices in VPS of output layers in additional output layer set 0
 ProfileLevelTierIdx           : 0 0 0        # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             : 0           # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
 DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 
Index: /branches/HTM-10.0-dev0/cfg/MV-HEVC/baseCfg_3view.cfg
===================================================================
--- /branches/HTM-10.0-dev0/cfg/MV-HEVC/baseCfg_3view.cfg	(revision 853)
+++ /branches/HTM-10.0-dev0/cfg/MV-HEVC/baseCfg_3view.cfg	(revision 854)
@@ -27,18 +27,20 @@
 #======== VPS / Layer sets ================
 VpsNumLayerSets               : 4            # Number of layer sets    
-LayerIdsInSet_0               : 0            # LayerIds in vps of layer set
-LayerIdsInSet_1               : 0 1          # LayerIds in vps of layer set
-LayerIdsInSet_2               : 0 2          # LayerIds in vps of layer set
-LayerIdsInSet_3               : 0 1 2        # LayerIds in vps of layer set
+LayerIdsInSet_0               : 0            # Indices in VPS of layers in layer set 0
+LayerIdsInSet_1               : 0 1          # Indices in VPS of layers in layer set 1
+LayerIdsInSet_2               : 0 2          # Indices in VPS of layers in layer set 2
+LayerIdsInSet_3               : 0 1 2        # Indices in VPS of layers in layer set 3
 
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 1 2          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 1            # LayerIds in vps of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 2            # LayerIds in vps of additional output layers
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+
+OutputLayerSetIdx             : 1 2          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 1            # Indices in VPS of output layers in additional output layer set 0
+LayerIdsInAddOutputLayerSet_1 : 2            # Indices in VPS of output layers in additional output layer set 1
+
 ProfileLevelTierIdx           : 0 0 0 0 0 0  # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             : 0           # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
 DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 DependencyTypes_2             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
